# BDIO in Julia

This package provides an interface to read/write
[BDIO](http://bdio.org/) files in Julia.

## Externally callable functions

### Openning `BDIO` files

```@docs
BDIO.BDIO_open
```

### Writing data to `BDIO` files

```@docs
BDIO.BDIO_start_record!
BDIO.BDIO_write!
BDIO.BDIO_write_hash!
```

### Reading data from `BDIO` files

```@docs
BDIO.BDIO_read
BDIO.BDIO_seek!
```

### Obtaining information about `BDIO` records

```@docs
BDIO.BDIO_get_uinfo
BDIO.BDIO_get_len
BDIO.BDIO_get_fmt
```

## Index

```@index
```
